---
title: "Get a single wallet"
description: "Retrieve details of a specific wallet by wallet ID."
protocol: rest
method: GET
endpoint: "/v1/wallets/{wallet_id}"
baseUrl: "https://api.gravv.xyz"
group: "Wallets"
auth:
  label: "Api-Key"
  name: "Api-Key"
  in: header
---

# Get a single wallet

<Endpoint method="GET" path="/v1/wallets/{wallet_id}" />

Retrieve details of a specific wallet by wallet ID.

## Path Parameters

<ParamField name="wallet_id" path="wallet_id" type="string" required>
  Wallet ID to retrieve
</ParamField>

## Responses

| Status | Description |
| --- | --- |
| `200` | Wallet details retrieved successfully |
| `400` | Bad request — invalid input or missing required fields |

### 200 response

<ResponseField name="data" type="any">
</ResponseField>

<ResponseField name="error" type="string,null">
</ResponseField>

<ResponseExample>

```json title="Response"
{
  "data": {
    "address": "GDZQAF4A2E5VZMMQVW7XG4FKWZ5KDSUEZF5VQBDQVM53TMU2YLE54NTX",
    "customer_id": "9e3cccad-e9ae-47a0-81ee-063af0159310",
    "date_created": "2025-10-30T12:18:34.484+00:00",
    "id": "2d52eb6d-4fac-44db-a225-d0e6aa13b0e3",
    "name": "my wallet",
    "network": "stellar",
    "assets": [
      {
        "symbol": "XLM",
        "balance": "1500.0000000",
        "decimals": 7
      }
    ]
  },
  "error": null
}
```

</ResponseExample>

### 400 response

<ResponseField name="data" type="null">
</ResponseField>

<ResponseField name="error" type="string">
</ResponseField>

## Authorization

- **ApiKeyAuth**
